Overview

Overview of HTML TADS

HTML TADS is a program that lets you play TADS games on your Windows computer. TADS, which stands for the Text Adventure Development System, is a language specially designed for writing text adventure games (also known as "interactive fiction"). Text adventures are games that consist mostly or entirely of text, usually telling a story in which the player takes on the role of the protagonist.

HTML TADS is a little like a DVD player for TADS games. Just as you can't watch a DVD without a player, you can't play a TADS game without an "interpreter" - a program that knows how to read the special computer language that TADS games are written in and translate for your specific kind of computer. HTML TADS is the interpreter for Windows machines.


Downloading TADS games

Most TADS games these days are "freeware," which means you can download them and play them without charge.

You can find recommendations and reviews for thousands of IF games, including nearly all available TADS games, at IFDB - the Interactive Fiction Database.

The best source of freeware text games is the Interactive Fiction Archive, www.ifarchive.org. Navigate to the "games" directory, then to the "tads" subdirectory, to find plenty of TADS games.

TADS games usually have filenames that end in ".gam" or ".t3". (TADS 2 games use the ".gam" suffix in most cases, and TADS 3 games use the ".t3" suffix.) If you download a file that has some other suffix, it might be in a compressed "archive" format - see the ZIP file section for help with that.


ZIP and other archivers

Some TADS games are distributed in "ZIP" format. You can usually tell that a file is in ZIP format by looking at its filename: if the name ends in ".ZIP", it's probably a ZIP file.

ZIP is an "archive" format, which is a special format that bundles several files into one, and compresses the whole bundle so that it takes less time to download. That's all great, but it does make one extra bit of work for you: after you download the ZIP file, you have to unpack it - that is, you have to undo the compression and you have to pull out the individual files that were bundled together.

To unpack a ZIP file, all you need is an UNZIP tool. There are several free UNZIP programs available for Windows. You can find some of these on the IF Archive (www.ifarchive.org) in the "download-tools" directory - look in the "pc" subdirectory for the Windows versions.

Rarely, you might encounter other archive formats apart from ZIP. If you download a file whose name ends in something other than ".gam" or ".t3" or ".zip", you'll have to track down the correct program to unpack it. You should be able to find an unpacker program in the download-tools/pc directory on the IF Archive. If you can't find anything there, your best bet is probably to ask for help on the rec.arts.int-fiction newsgroup.


How to play a TADS game

Once you've downloaded a TADS game (and you've UNZIPped it, if necessary), you can play it by going to the File menu, selecting "Open New Game...", and then choosing the game's ".gam" or ".t3" file. Once you select the file, the game will begin.

Every game is a little different, so we can't provide general-purpose instructions that apply to all games. Many games offer at least some built-in instructions, especially if they have unusual commands. Check the game's introductory text (which the game displays right after you start it running) for pointers. If you don't see any suggestions there, you might try typing one of these commands into the game (remember to press Enter after the command):

  • ABOUT
  • HELP
  • HINT
  • INSTRUCTIONS


Customizing colors, fonts, and other settings

HTML TADS gives you a lot of control over the visual settings of the games you play - things like fonts, colors, and text sizes.

All of the current visual settings are grouped together into a "theme." A theme is just a named collection of settings. You can create several different themes, and then switch from one to another at any time, putting all of the new theme's settings into effect in one stroke.

To switch to a different them, click on the Themes menu. The first part of the menu shows the list of available themes, with the current one marked with a bullet (•). Just select the theme you want to switch to. The game window will immediately update to show the new fonts and colors.

There are three pre-defined themes: "Multimedia," which is set up to look like a basic Windows application, with the standard system fonts and colors; "Plain Text," which recalls the look of the classic 80s text adventures; and "Web Style," which uses a common web-page look. You can change the settings of any of the built-in themes as much as you want.

To create a new theme, open the Themes menu and select Add/Delete Themes. Click the "New" button. Type a name for your new theme and click OK. This will create a new theme that's initially set up to look exactly like whichever theme was in effect just before you created it.

To customize the visual settings for the current theme, click on the Themes menu and select the item "Customize 'Current' Theme" (current will be replaced by whatever theme is currently active). This will open the Customize Theme dialog, which consists of several pages:

Fonts. This page lets you select the typefaces and base sizes for different kinds of text. Not all games use all of these different typefaces; the most important one is the Main Game Font, which is the main text font that most games will use. Many games use that font exclusively. The Command Font is the typeface that's used to show the command-line text that you type - for this one, you can set the color and bold/italic styles as well.

Note that the font sizes are the base sizes. For effect, games sometimes intentionally show text in sizes larger or smaller than the base sizes. When that happens, the different sizes will be scaled up and down from the base size, so that everything remains in proportion.

Colors. This lets you select the text and background colors. The "status line" colors are used by most games for a line at the top of the screen that shows the current location and score. You can also use this page to control how hyperlinks are shown. If you find hyperlinks distracting, you can turn them off completely by setting "Show Links" to "Never".

More. When the game shows so much text all at once that it more than fills the window, the interpreter automatically pauses the text to give you chance to read it. The interpreter puts a little prompt at the bottom of the screen saying "More" - telling you that there's more text coming. This setting lets you control how you want that prompt to look.

Media. This page lets you turn graphics, sound effects, and music on and off. If you're a purist about text games, and you don't want pictures or sound distracting from the all-text experience, you can turn off those features from this page.


Using Game Chest

When you run HTML TADS, the first thing it shows you is the Game Chest page. Game Chest is designed to let you organize your collection of TADS games, and to make it quick and easy to find and launch a game.

You can always start a new game by clicking the "Browse for Games" button. This is the same as using the File - Open menu to find and run a game.

To get the most out of Game Chest, though, you can start adding games to the page. This makes it easier to find games again later, since you won't have to hunt through the folders on your hard disk - any games you add to the Game Chest will show up right on the page. What's more, you can put the full name, author, and description of each game on the page, so you don't have to guess what the cryptic DOS filename means.

To add a game to the page, click the "Add a Game" button. This brings up a standard file selector dialog, so find and select a game just as though you were going to play it. Once you select a game, though, the interpreter won't run it - it will instead show you a dialog asking for the full name of the game, the author, and a description. Some games provide built-in information that Game Chest can use to fill in the dialog for you automatically. For games that don't provide the information, you'll have to fill it in manually. If you know the real name of the game, type it in the "Name" box. You can fill in the other fields if you like, but it's not required - you can always add more information later if you want. Click OK, and the game will be added to the Game Chest page.

If you use Internet Explorer as your web browser, you can also add a game by dragging a game's hyperlink from IE and dropping it on the Game Chest page. Game Chest will ask you where to save the game on your hard disk, and then it will automatically download the file for you and add it to the Game Chest page.

You can also add a whole batch of games at one time. For example, if you've just downloaded the latest IF Competition games, you can add all of the TADS games from the Comp at once by clicking on the button "Add a Batch of Games". In the dialog, choose the folder that contains all of the sub-folders with the Comp games. Game Chest will automatically scan all of the sub-folders, looking for TADS games, and will add all of the games it finds.

To play a game that's listed on the Game Chest page, just click its name.

If you want to go back and add more information (or change the information) for a game on the page, click the little "edit" hyperlink after the game's name. If you want to remove the game from the page, click the "remove" link. (Clicking "remove" won't actually delete the game from your hard disk - it only removes the game's listing on the Game Chest page.)

If you have a lot of games, you can organize them into groups. A group is just a set of games that are listed together under a group heading on the page. To create a group, click the "Manage Groups" button, then click "New" in the Edit Groups dialog. You can also use this dialog to delete or rename an existing group, and you can rearrange the order in which the groups appear on the page - select a group, and use the Up/Down arrow buttons to move it to a new position in the list.

Once you've created a group, you can put a game in the group by editing the game's information, and selecting the group in the "Group" box of the dialog.